Subject: Re: bug#62720: 29.0.60; Not easy at all to upgrade :core packages like Eglot

From: Eli Zaretskii <[email-masked]>
Date: Tue, 11 Apr 2023 14:40:05 +0300

> From: João Távora <[email-masked]>
> Cc: [email-masked], Stefan Monnier <[email-masked]>,
>   [email-masked], Lars Ingebrigtsen <[email-masked]>
> Date: Tue, 11 Apr 2023 12:02:48 +0100
> 
> So the final patch that I'm proposing for emacs 29 is attached.  M-x
> package-update-all fixes those cases and correctly finds and updates 4
> packages to their newest released versions, exactly as it should.
> 
>    (eglot eldoc jsonrpc verilog-mode)
> 
> Eli, what do you think?

I'd prefer it to go to master, not to emacs-29.  The problem is not
grave enough and OTOH the workaround is simple enough.  So changing
package.el in such non-trivial ways is not something I'd like to risk
now.

> Who is package.el's main maintainer?  Everyone?
> Lars added M-x package-update (for Emacs 29) so I'm pinging him as well.

I think it's mostly Philip and Stefan.